# Uses of Interface
org.opensaml.security.httpclient.HttpClientSecurityParametersResolver

Packages that use HttpClientSecurityParametersResolver
Package
Description
org.opensaml.security.httpclient.impl
Security implementation support for Apache HttpClient.
org.opensaml.security.messaging.impl
Message handler implementations.

## Uses of HttpClientSecurityParametersResolver in org.opensaml.security.httpclient.impl

Classes in org.opensaml.security.httpclient.impl that implement HttpClientSecurityParametersResolver
Modifier and Type
Class
Description
`class`
`BasicHttpClientSecurityParametersResolver`
Basic implementation of `HttpClientSecurityParametersResolver`.

## Uses of HttpClientSecurityParametersResolver in org.opensaml.security.messaging.impl

Fields in org.opensaml.security.messaging.impl declared as HttpClientSecurityParametersResolver
Modifier and Type
Field
Description
`private HttpClientSecurityParametersResolver`
PopulateHttpClientSecurityParametersHandler.`resolver`
Resolver for parameters to store into context.
Methods in org.opensaml.security.messaging.impl with parameters of type HttpClientSecurityParametersResolver
Modifier and Type
Method
Description
`void`
PopulateHttpClientSecurityParametersHandler.`setHttpClientSecurityParametersResolver(HttpClientSecurityParametersResolver newResolver)`
Set the resolver to use for the parameters to store into the context.